# $file.digest

Returns the sum of the character codes of the file

Usage

    $file.digest(<file>[,<algorithm>])

Description
Calculates digest for the file identified by the given string using algorithm passed as 2nd argument. Currently supported: md5, md4, md2, sha1, mdc2, ripemd160, dss1 Default is md5. Requires OpenSSL support or (better) Crypto++, but offers a minimal set of hashes in any case.
Syntax Specification

    <string> $file.digest(<file:string>[,<algorithm:string>])

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011